Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class MetaObjectManager

`java.lang.Object
oracle.jbo.mom.DefinitionManager
oracle.jbo.server.MetaObjectManager`

All Implemented Interfaces:
  MetaObjectBase

Direct Known Subclasses:
  ContextMetaObjectManager

public class MetaObjectManager
extends DefinitionManager

A static class used for accessing meta-objects.

This class contains references to all Business Componenents for Java meta-objects. These classes are loaded from XML through JNDI calls to the appropriate context, and are also loaded at runtime from jboserver.properties.

Since:
  Jdeveloper 3.0

Field Summary

Fields inherited from class oracle.jbo.mom.DefinitionManager
`mbValidateName, mContext, mLazyLoading, mSubstituteStat`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Method Summary
`protected ContainerDefImpl` | `createContainerDefObject(boolean topLevel)`
`static void` | `createSharedDataHandle()`
`static java.lang.Object` | `findMetaObject(java.lang.String metaObjectName, int exId, java.lang.Class claz, boolean sub)`
`com.sun.java.util.collections.ArrayList` | `getCustomMessageBundlesList()`
`protected java.lang.String` | `getDefaultMOMCacheScope()` Return an indication as to the default scope of the MOM cache (to be used if the application's adf-config.xml does not explicitly indicate a value).
`protected java.lang.String` | `getDynamicPackageName()`
`static java.lang.String` | `getLatestXMLVersion()`
`static DefXMLParser` | `getParser()` Deprecated. since 10.1.3. See `DefinitionManager.getJboXMLDoc()`.
`protected java.lang.String` | `getProjectFileExtension()`
`static java.util.Properties` | `getServerProperties()` Gets the server properties loaded from oracle.jbo.server.jboserver.properties.
`static SharedHandle` | `getSharedHandle()` Get the Shared Handle
`static java.lang.String` | `getSharedHandleName()` Get the Shared handle name
`static boolean` | `getSharedHandleStatus()` Get the Shared Handle Status
`static MetaObjectManager` | `getSingleton()`
`java.lang.Long` | `getVersionTimestamp()`
`java.lang.String[]` | `getXMLVersionArray()`
`protected void` | `initManager()` Get the Hashtable for the XML JBOElements
`protected void` | `initSubExtendsPropForProject()` Set the substitute extends prop for Project For 8i, we treat it differently than other deployments
`static void` | `insertMetaObject(java.lang.String metaObjectName, java.lang.Object metaObject)` Inserts the metaobject into the MOM cache.
`static boolean` | `isLazyLoading()` Gets the value of the JSP lazy loading flag.
`static DefElement` | `loadBaseElement(java.lang.String metaObjectName)`
`static java.lang.Object` | `loadFromSharedDataHandle(java.lang.String metaObjectName)` Returns the def object from HashTable
`DefinitionObject` | `loadFromXML(java.lang.String metaObjectName, DefElement elem, java.lang.String objType)` Loads the XML metadata stream and returns a Def Object
`protected java.lang.Object` | `loadLazyFromSharedObject(java.lang.String metaObjectName, ContainerDefImpl parent, boolean loadParent, boolean sub)` Main function in MOM to load a object from XMLStream through Shared MetaData
`static oracle.jbo.server.PackageDefImpl` | `loadProject(java.lang.String projectName)`
`protected java.lang.Object` | `loadSpecialObjects(DefElement elem, java.lang.String metaObjectName, java.lang.String objType)`
`static java.lang.Object` | `loadXMLFromSharedDataHandle(java.lang.String metaObjectName)` Returns the JBOElementImpl object from HashTable
`static java.lang.Object` | `removeMetaObject(java.lang.String metaObjectName)` Removes the Meta Object from the statically maintained list of Meta Objects.
`static void` | `set8iProjectSub(java.lang.String projectName)`
`static void` | `setLazyLoading(boolean lazyLoading)` Sets the value of the JSP lazy loading flag.
`static void` | `setSharedHandleName(java.lang.String handleName)` Set the Shared handle name, App module calls this function for the metaobjects
`protected boolean` | `usesMDSByDefault()` Return an indication as to whether this `DefinitionManager` instance should use MDS if the application's adf-config.xml does not explicitly indicate true or false.

Methods inherited from class oracle.jbo.mom.DefinitionManager
`dumpDefObjInfo, dumpMOM, dumpMOM, findContainer, findDefinitionObject, findDefinitionObject, findDefinitionObject, findDefinitionObjectDontCheckName, findLoadedObject, findSubstituteName, getBooleanFlag, getContext, getCurrentApplicationMap, getDefinitionObjectsMap, getDynamicObjectsContainer, getJboDTD, getJboXMLDoc, getLatestDTDVersion, getLazyLoadProp, getMapLock, getMOMCacheScope, getMOMProperties, getStatementMonitor, initListener, insertDefinition, insertDefinition, is323Compatible, is903Compatible, isLazyLoadingMode, loadBaseXMLElement, loadContext, loadDefElement, loadLazyDefinitionObject, loadProjectDefinition, loadProjectDefinition, loadProjectDefinition, loadProjectDefinition, removeAllDefinitions, removeDefinition, reportVMProperties, setContextImpl, setLazyLoadingMode, setNameCheck, usesMDS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSingleton

    public static MetaObjectManager getSingleton()

### getParser

    public static DefXMLParser getParser()

  Deprecated. since 10.1.3. See `DefinitionManager.getJboXMLDoc()`.
  Gets the XML parser.
  Returns:
    the XMLParser.

### initManager

    protected void initManager()

  Get the Hashtable for the XML JBOElements
  Overrides:
    `initManager` in class `DefinitionManager`

### setSharedHandleName

    public static void setSharedHandleName(java.lang.String handleName)

  Set the Shared handle name, App module calls this function for the metaobjects

### set8iProjectSub

    public static void set8iProjectSub(java.lang.String projectName)

### getSharedHandleName

    public static java.lang.String getSharedHandleName()

  Get the Shared handle name

### getSharedHandleStatus

    public static boolean getSharedHandleStatus()

  Get the Shared Handle Status

### getSharedHandle

    public static SharedHandle getSharedHandle()

  Get the Shared Handle

### isLazyLoading

    public static boolean isLazyLoading()

  Gets the value of the JSP lazy loading flag.
  Returns:
    the value of the lazy loading flag.

### setLazyLoading

    public static void setLazyLoading(boolean lazyLoading)

  Sets the value of the JSP lazy loading flag.
  Parameters:
    `lazyLoading` - the new value of the lazy loading flag.

### insertMetaObject

    public static void insertMetaObject(java.lang.String metaObjectName,
                                        java.lang.Object metaObject)

  Inserts the metaobject into the MOM cache. The metaobject is marked as not ageable!
  Parameters:
    `metaObjectName` - The fully qualified Name of the metaobject
    `metaObject` - The metaobject itself

### removeMetaObject

    public static java.lang.Object removeMetaObject(java.lang.String metaObjectName)

  Removes the Meta Object from the statically maintained list of Meta Objects.
  Parameters:
    `metaObjectName` - The fully qualified Name of the Meta Object
  Returns:
    The Meta Object that is removed. Returns null if no meta object exists.

### loadLazyFromSharedObject

    protected java.lang.Object loadLazyFromSharedObject(java.lang.String metaObjectName,
                                                        ContainerDefImpl parent,
                                                        boolean loadParent,
                                                        boolean sub)

  Main function in MOM to load a object from XMLStream through Shared MetaData
  Specified by:
    `loadLazyFromSharedObject` in class `DefinitionManager`

### loadFromXML

    public DefinitionObject loadFromXML(java.lang.String metaObjectName,
                                        DefElement elem,
                                        java.lang.String objType)

  Loads the XML metadata stream and returns a Def Object
  Specified by:
    `loadFromXML` in class `DefinitionManager`
  Parameters:
    `metaObjectName` - name of the metaobject, for diagnostic purposes.
    `elem` - an XML Stream as a DefElement object.
    `objType` - object type Tag.
  Returns:
    a defObject, which is a JBO Object extending DefinitionObject

### loadProject

    public static oracle.jbo.server.PackageDefImpl loadProject(java.lang.String projectName)

### loadFromSharedDataHandle

    public static java.lang.Object loadFromSharedDataHandle(java.lang.String metaObjectName)

  Returns the def object from HashTable
  Returns:
    defObject: name of the Def Object (packagename.objName)

### loadXMLFromSharedDataHandle

    public static java.lang.Object loadXMLFromSharedDataHandle(java.lang.String metaObjectName)

  Returns the JBOElementImpl object from HashTable
  Returns:
    DefElement: name of the Def Object (packagename.objName)

### findMetaObject

    public static java.lang.Object findMetaObject(java.lang.String metaObjectName,
                                                  int exId,
                                                  java.lang.Class claz,
                                                  boolean sub)

### loadBaseElement

    public static DefElement loadBaseElement(java.lang.String metaObjectName)

### initSubExtendsPropForProject

    protected void initSubExtendsPropForProject()

  Set the substitute extends prop for Project For 8i, we treat it differently than other deployments
  Overrides:
    `initSubExtendsPropForProject` in class `DefinitionManager`

### getServerProperties

    public static java.util.Properties getServerProperties()

  Gets the server properties loaded from oracle.jbo.server.jboserver.properties.
  Returns:
    the server properties.

### createSharedDataHandle

    public static void createSharedDataHandle()
                                       throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getDynamicPackageName

    protected java.lang.String getDynamicPackageName()

  Specified by:
    `getDynamicPackageName` in class `DefinitionManager`

### getProjectFileExtension

    protected java.lang.String getProjectFileExtension()

  Specified by:
    `getProjectFileExtension` in class `DefinitionManager`

### loadSpecialObjects

    protected java.lang.Object loadSpecialObjects(DefElement elem,
                                                  java.lang.String metaObjectName,
                                                  java.lang.String objType)

  Specified by:
    `loadSpecialObjects` in class `DefinitionManager`

### createContainerDefObject

    protected ContainerDefImpl createContainerDefObject(boolean topLevel)

  Specified by:
    `createContainerDefObject` in class `DefinitionManager`

### getXMLVersionArray

    public java.lang.String[] getXMLVersionArray()

  Specified by:
    `getXMLVersionArray` in class `DefinitionManager`

### getLatestXMLVersion

    public static java.lang.String getLatestXMLVersion()

### getCustomMessageBundlesList

    public com.sun.java.util.collections.ArrayList getCustomMessageBundlesList()

### getVersionTimestamp

    public final java.lang.Long getVersionTimestamp()

### getDefaultMOMCacheScope

    protected java.lang.String getDefaultMOMCacheScope()

  Description copied from class: `DefinitionManager`
  Return an indication as to the default scope of the MOM cache (to be used if the application's adf-config.xml does not explicitly indicate a value). The expected values are "request", "session", or "application" (case-sensitive). Any other value is treated as "application". This default value is currently obtained from a system property. It should perhaps be obtained from a JVM-wide BC4J property. (But see comments in JUMetaObjectManager.usesMDSByDefault()).
  Specified by:
    `getDefaultMOMCacheScope` in class `DefinitionManager`
  Returns:
    Default scope (as explained above).

### usesMDSByDefault

    protected boolean usesMDSByDefault()

  Description copied from class: `DefinitionManager`
  Return an indication as to whether this `DefinitionManager` instance should use MDS if the application's adf-config.xml does not explicitly indicate true or false. This default value is obtained from a JVM-wide BC4J property. (Actually, that's not currently true for JUMetaObjectManager - see comments in JUMetaObjectManager.usesMDSByDefault()).
  Specified by:
    `usesMDSByDefault` in class `DefinitionManager`
  Returns:
    Should we use MDS for applications that don't specify that info in the app's adf-config.xml?

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.